package cn.com.qmth.examcloud.service.core.api;

import cn.com.qmth.examcloud.service.core.repo.CourseRepo;
import cn.com.qmth.examcloud.service.core.entity.Course;
import cn.com.qmth.examcloud.service.core.service.CourseService;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.HttpStatus;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.*;

/**
 * 课程服务API
 * Created by songyue on 17/1/14.
 */
@RestController
@RequestMapping("${app.api.root}/course")
public class CourseApi {

    @Autowired
    CourseRepo courseRepo;

    @Autowired
    CourseService courseService;

    @ApiOperation(value="查询所有课程")
    @GetMapping
    public ResponseEntity getAllCourse(){
        return new ResponseEntity(courseRepo.findAll(), HttpStatus.OK);
    }

    @ApiOperation(value="按ID查询课程",notes="ID查询")
    @GetMapping("/{id}")
    public ResponseEntity getCourseById(@PathVariable Long id){
        return new ResponseEntity(courseRepo.findById(id),HttpStatus.OK);
    }

    @ApiOperation(value="新增课程",notes="新增")
    @PostMapping
    public ResponseEntity addCourse(@RequestBody Course course){
        return new ResponseEntity(courseRepo.save(course),HttpStatus.CREATED);
    }

    @ApiOperation(value="更新课程",notes="更新")
    @PutMapping
    public ResponseEntity updateCourse(@RequestBody Course course){
        return new ResponseEntity(courseRepo.save(course),HttpStatus.OK);
    }

    @ApiOperation(value="按ID删除课程",notes="删除")
    @DeleteMapping("/{id}")
    public ResponseEntity deleteCourse(@PathVariable Long id){
        courseRepo.delete(id);
        return new ResponseEntity(HttpStatus.OK);
    }
}
