package cn.com.qmth.examcloud.service.core.repo;

import cn.com.qmth.examcloud.service.core.entity.User;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Modifying;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.query.Param;
import org.springframework.data.repository.query.QueryByExampleExecutor;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * Created by songyue on 17/1/13.
 */
public interface UserRepo extends JpaRepository<User,Long>,QueryByExampleExecutor<User>{

    User findById(long id);

    User findByRootOrgIdAndLoginName(long rootOrgId,String loginName);

    User findByLoginName(String loginName);

    @Transactional
    @Modifying
    @Query("update User set password = :password where id = :id")
    void updatePasswordById(@Param("id")long id,@Param("password")String password);

    int countByLoginName(String loginName);

    List<User> findByOrgIdAndType(long orgId,String userType);

    List<User> findByRootOrgIdAndType(long rootOrgId,String userType);

}
